version: '2.1'
services:
  onlyoffice-documentserver:
    container_name: onlyoffice-documentserver
    build:
      context: ../.
    environment:
      - AMQP_TYPE=${AMQP_TYPE:-activemq}
      - AMQP_URI=${AMQP_URI:-amqp://guest:guest@onlyoffice-activemq}
    stdin_open: true
    restart: always
    ports:
      - '80:80'
      - '443:443'
    networks:
      - onlyoffice

  onlyoffice-activemq:
    container_name: onlyoffice-activemq
    image: webcenter/activemq:${ACTIVEMQ_VERSION:-5.14.3}
    environment:
      - ACTIVEMQ_USERS_guest=${ACTIVEMQ_USERS_guest:-guest}
      - ACTIVEMQ_GROUPS_owners=${ACTIVEMQ_GROUPS_owners:-guest}
    restart: always
    networks:
     - onlyoffice
    expose:
      - '5672'

networks:
  onlyoffice:
    driver: 'bridge'
